GNU bug report logs - #50776
add "ispell show where we looked" command

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: 積丹尼 Dan Jacobson <jidanni@HIDDEN>; dated Fri, 24 Sep 2021 13:25:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 25 Sep 2021 06:00:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 25 02:00:21 2021
Received: from localhost ([127.0.0.1]:60102 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mU0jV-0004OM-Hw
	for submit <at> debbugs.gnu.org; Sat, 25 Sep 2021 02:00:21 -0400
Received: from olivedrab.birch.relay.mailchannels.net ([23.83.209.135]:1595)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1mU0jS-0004O6-Iy
 for 50776 <at> debbugs.gnu.org; Sat, 25 Sep 2021 02:00:20 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 6BFA0920E77;
 Sat, 25 Sep 2021 06:00:16 +0000 (UTC)
Received: from pdx1-sub0-mail-a91.g.dreamhost.com (unknown [127.0.0.6])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id D6974920E5D;
 Sat, 25 Sep 2021 06:00:12 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a91.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.123.194.20 (trex/6.4.3); Sat, 25 Sep 2021 06:00:16 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Bottle-Chief: 222610096d0fbae3_1632549615975_3303749449
X-MC-Loop-Signature: 1632549615975:810391002
X-MC-Ingress-Time: 1632549615975
Received: from pdx1-sub0-mail-a91.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a91.g.dreamhost.com (Postfix) with ESMTP id 6D51E7E77F;
 Fri, 24 Sep 2021 23:00:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=6rkhRtvOJ81U7Ven86prolV+goA=; b=guHuLNKLdQRbh
 ZPzlIttspozo22H784lnd3RQ6qAVHGGWGAJBZEHTaFFWGvn8h0u8RKMCE1n6AkzQ
 fWc2bY9xWlbvhqNzwtappw/cg53o40gOZnXAUx8gVK3WEbK1jSI+k2Wr2tVfTtU+
 ScvHeaDvBSz8nMJuvqio9XCFDShQjk=
Received: from jidanni.org (36-234-71-155.dynamic-ip.hinet.net [36.234.71.155])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a91.g.dreamhost.com (Postfix) with ESMTPSA id 6FD297E692;
 Fri, 24 Sep 2021 23:00:07 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a91
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
 <87y27m6pug.5.fsf@HIDDEN> <877df6m38h.fsf@HIDDEN>
Date: Sat, 25 Sep 2021 14:00:05 +0800
Message-ID: <87czoxchzu.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50776
Cc: Eli Zaretskii <eliz@HIDDEN>, 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Anyway, user notices emacs says "jitter" is a misspelling.
There should be an easy way to report that it is not a misspelling,
so that others won't encounter the problem.
So maybe an ispell-report-non-problem-word function.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 25 Sep 2021 03:05:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 23:05:23 2021
Received: from localhost ([127.0.0.1]:59967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTy07-0003Bu-Hb
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 23:05:23 -0400
Received: from beige.elm.relay.mailchannels.net ([23.83.212.16]:56479)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1mTy00-0003BN-Hl
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 23:05:16 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 1E756922449;
 Sat, 25 Sep 2021 03:05:11 +0000 (UTC)
Received: from pdx1-sub0-mail-a60.g.dreamhost.com
 (100-96-18-141.trex.outbound.svc.cluster.local [100.96.18.141])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id A5CA3922352;
 Sat, 25 Sep 2021 03:05:10 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a60.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.18.141 (trex/6.4.3); Sat, 25 Sep 2021 03:05:11 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Interest-Abiding: 2d837c9a5466e3ae_1632539110899_3308534656
X-MC-Loop-Signature: 1632539110899:1855136307
X-MC-Ingress-Time: 1632539110899
Received: from pdx1-sub0-mail-a60.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a60.g.dreamhost.com (Postfix) with ESMTP id 5A23F8E066;
 Fri, 24 Sep 2021 20:05:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=jG207FsddDVdks6IrpmMM7NGNcY=; b=GkZOJE4tHl1h+
 oNTtc2Zr8yEbHwWb67Vjltlbj86Bz2ecrZrUu7BOsnSZaEkWN62+XSwJrcMkt1hg
 yOVyR4IQOinBWfDmyi0IB3ueNExJfZJSdYBWl84yTgOg2GPRVIf1E6DpuaLCNezV
 TR7p+bou5Y8qQREnXsucAjXfqFSoDc=
Received: from jidanni.org (36-234-71-155.dynamic-ip.hinet.net [36.234.71.155])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a60.g.dreamhost.com (Postfix) with ESMTPSA id C47B29CC6D;
 Fri, 24 Sep 2021 20:05:09 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a60
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
 <87y27m6pug.5.fsf@HIDDEN> <83v92qrrwl.fsf@HIDDEN>
Date: Sat, 25 Sep 2021 10:08:51 +0800
Message-ID: <87y27lcsp8.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50776
Cc: 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Sort of like how C-u C-x = will show one the font used,
    x:-eten-fixed-medium-r-normal--16-150-75-75-c-160-big5.eten-0 (#xBF6E)
So I would like a way to have it show the dictionary(s) used.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 25 Sep 2021 02:18:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 22:18:47 2021
Received: from localhost ([127.0.0.1]:59864 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTxH5-0005mF-14
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:18:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mTxH2-0005ly-Qy
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 22:18:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=iqRbpyhXtqjQ40kDYdV9umxu8EmMPQb3ct+Aq6yRlgQ=; b=qAEsjytzbG4+xG+ZoVtl9oBPga
 nq1OlNQIZMSYVvIfTD8e3pENpuFj7d+NBQDClWq2tMUscOtyod7r714vhsH4pMvk6TUzxENcA3a9O
 5B4iYhwHQHwHy0ytAh5+SfaqYq5jhxO7KBeCApCreThnNQdfvMiRiNUDMm7KKcRTipfE=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mTxGt-0008VJ-Fr; Sat, 25 Sep 2021 04:18:38 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
 <87y27m6pug.5.fsf@HIDDEN> <877df6m38h.fsf@HIDDEN>
X-Now-Playing: Bertine Zetlitz's _Beautiful So Far_: "Closer"
Date: Sat, 25 Sep 2021 04:18:34 +0200
In-Reply-To: <877df6m38h.fsf@HIDDEN> (Juri Linkov's message of "Fri, 
 24 Sep 2021 18:36:30 +0300")
Message-ID: <87a6k1pfd1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Juri Linkov <juri@HIDDEN> writes: > `ispell-region'
 displays
 such message: > > Spell-checking region using hunspell with klingon
 dictionary...
 > > So `?' for `ispell-word' could do the same. The three help lines it
 displays
 as already are pretty jam-packed... I don't see any obvious place to squeeze
 that information in without making it a four-line help, and I'm not sure
 that would be hel [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50776
Cc: Eli Zaretskii <eliz@HIDDEN>, 50776 <at> debbugs.gnu.org,
 =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Juri Linkov <juri@HIDDEN> writes:

> `ispell-region' displays such message:
>
>   Spell-checking region using hunspell with klingon dictionary...
>
> So `?' for `ispell-word' could do the same.

The three help lines it displays as already are pretty jam-packed...  I
don't see any obvious place to squeeze that information in without
making it a four-line help, and I'm not sure that would be helpful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 24 Sep 2021 16:01:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 12:01:05 2021
Received: from localhost ([127.0.0.1]:59104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTndJ-00044v-Hq
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 12:01:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:32848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mTndF-00044E-1x
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 12:01:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:57684)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mTnd8-0006ut-Tg; Fri, 24 Sep 2021 12:00:55 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2112
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mTnd3-00017g-Ce; Fri, 24 Sep 2021 12:00:52 -0400
Date: Fri, 24 Sep 2021 19:00:43 +0300
Message-Id: <83r1dermj8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
In-Reply-To: <87o88i6o38.5.fsf@HIDDEN> (message from =?utf-8?B?56mN?=
 =?utf-8?B?5Li55bC8?= Dan Jacobson
 on Fri, 24 Sep 2021 22:32:43 +0800)
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
 <87y27m6pug.5.fsf@HIDDEN> <83v92qrrwl.fsf@HIDDEN>
 <87o88i6o38.5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50776
Cc: 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: 積丹尼 Dan Jacobson <jidanni@HIDDEN>
> Cc: 50776 <at> debbugs.gnu.org
> Date: Fri, 24 Sep 2021 22:32:43 +0800
> 
> EZ> You are saying that the user who turns on spell-checking has no idea
> EZ> which dictionary (actually, which language) he/she is using?
> 
> Yup. An average system has tons of dictionaries and tons of spelling
> commands (within and without emacs,) so without an "strace" it is hard
> to know which is using which.

But then how do you know that spell-checking even makes sense?  If you
are spell-checking English text with a French or Japanese or Chinese
dictionary, why would you expect anything useful to come out of that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 24 Sep 2021 15:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 11:46:26 2021
Received: from localhost ([127.0.0.1]:59088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTnP7-0003aW-Rn
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 11:46:25 -0400
Received: from relay9-d.mail.gandi.net ([217.70.183.199]:39927)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1mTnP4-0003a1-6S
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 11:46:22 -0400
Received: (Authenticated sender: juri@HIDDEN)
 by relay9-d.mail.gandi.net (Postfix) with ESMTPSA id F0372FF802;
 Fri, 24 Sep 2021 15:46:14 +0000 (UTC)
From: Juri Linkov <juri@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
Subject: Re: bug#50776: add "ispell show where we looked" command
Organization: LINKOV.NET
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
 <87y27m6pug.5.fsf@HIDDEN>
Date: Fri, 24 Sep 2021 18:36:30 +0300
In-Reply-To: <87y27m6pug.5.fsf@HIDDEN> (=?utf-8?B?IuepjeS4ueWwvA==?=
 Dan Jacobson"'s message of "Fri, 24 Sep 2021 21:54:47 +0800")
Message-ID: <877df6m38h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50776
Cc: Eli Zaretskii <eliz@HIDDEN>, 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> So it the new key press should say:
> Checked for "jitter" and didn't find it in
> 1. /usr/..../bla

`ispell-region' displays such message:

  Spell-checking region using hunspell with klingon dictionary...

So `?' for `ispell-word' could do the same.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 24 Sep 2021 14:33:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 10:33:00 2021
Received: from localhost ([127.0.0.1]:59001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTmG3-0001Hs-NQ
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:32:59 -0400
Received: from butterfly.birch.relay.mailchannels.net ([23.83.209.27]:20093)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1mTmFw-0001HY-Sg
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:32:58 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id B77E6E183B;
 Fri, 24 Sep 2021 14:32:50 +0000 (UTC)
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (unknown [127.0.0.6])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 7F42EE10EF;
 Fri, 24 Sep 2021 14:32:48 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.123.194.20 (trex/6.4.3); Fri, 24 Sep 2021 14:32:50 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Name-Abaft: 16b73365037d4104_1632493970545_3108207043
X-MC-Loop-Signature: 1632493970545:1083335150
X-MC-Ingress-Time: 1632493970545
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTP id D016187A96;
 Fri, 24 Sep 2021 07:32:46 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=QbMBG44yuziKn1SbDU0qUQ10d/4=; b=mDM4Z97bjqEFn
 QUr5UXCaULM4tw9nsCTMOI8YsN9rv+dRP3z1pNgdlkychR/J5Q26uROKlQ2opKE3
 MUHpCqCYc2gJvMB8A3tH4zlyF3V2TUGvMhYaMwXHkqVYNUXPgMKPYbqnHT6FjwPf
 Uqz5ZcFPw/gLTUDqPJzt5lNoqTDxBo=
Received: from jidanni.org (36-234-98-48.dynamic-ip.hinet.net [36.234.98.48])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTPSA id 3ADF0805EB;
 Fri, 24 Sep 2021 07:32:45 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a55
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
 <87y27m6pug.5.fsf@HIDDEN> <83v92qrrwl.fsf@HIDDEN>
Date: Fri, 24 Sep 2021 22:32:43 +0800
Message-ID: <87o88i6o38.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50776
Cc: 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

EZ> You are saying that the user who turns on spell-checking has no idea
EZ> which dictionary (actually, which language) he/she is using?

Yup. An average system has tons of dictionaries and tons of spelling
commands (within and without emacs,) so without an "strace" it is hard
to know which is using which.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 24 Sep 2021 14:04:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 10:04:58 2021
Received: from localhost ([127.0.0.1]:58952 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTlow-0006e2-A2
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:04:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47762)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mTlou-0006dk-Eq
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 10:04:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54312)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mTlon-0002GT-63; Fri, 24 Sep 2021 10:04:51 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3007
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mTlom-0003kG-PG; Fri, 24 Sep 2021 10:04:49 -0400
Date: Fri, 24 Sep 2021 17:04:42 +0300
Message-Id: <83v92qrrwl.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
In-Reply-To: <87y27m6pug.5.fsf@HIDDEN> (message from =?utf-8?B?56mN?=
 =?utf-8?B?5Li55bC8?= Dan Jacobson
 on Fri, 24 Sep 2021 21:54:47 +0800)
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
 <87y27m6pug.5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50776
Cc: 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: 積丹尼 Dan Jacobson <jidanni@HIDDEN>
> Cc: 50776 <at> debbugs.gnu.org
> Date: Fri, 24 Sep 2021 21:54:47 +0800
> 
> >>>>> "EZ" == Eli Zaretskii <eliz@HIDDEN> writes:
> EZ> I don't understand: there's only one dictionary, the current one.
> 
> That's great to know.
> 
> So it the new key press should say:
> Checked for "jitter" and didn't find it in
> 1. /usr/..../bla
> 
> That way we can be sure.

You are saying that the user who turns on spell-checking has no idea
which dictionary (actually, which language) he/she is using?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 24 Sep 2021 13:54:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 09:54:55 2021
Received: from localhost ([127.0.0.1]:57005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTlfC-0005n7-T4
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 09:54:55 -0400
Received: from antelope.elm.relay.mailchannels.net ([23.83.212.4]:1517)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1mTlfB-0005mz-AD
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 09:54:54 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id A916892195C;
 Fri, 24 Sep 2021 13:54:51 +0000 (UTC)
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (unknown [127.0.0.6])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 369B59218F5;
 Fri, 24 Sep 2021 13:54:51 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.114.12.82 (trex/6.4.3); Fri, 24 Sep 2021 13:54:51 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Ruddy-Reign: 64fd7a3802ba063f_1632491691472_1167008138
X-MC-Loop-Signature: 1632491691472:1998508924
X-MC-Ingress-Time: 1632491691472
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTP id EB2C2806D9;
 Fri, 24 Sep 2021 06:54:50 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to:cc
 :subject:references:date:message-id:mime-version:content-type;
 s=jidanni.org; bh=lmzDM6fwWqq4rp2Gm7iG52BIbLQ=; b=TUvij8qLC50GP
 nJVapA5CLvW6RJED81VHx2hZm7LCavZYr65X6PSv2OehABrfSsK+6aVaQ9M0csxQ
 AinQplpkc8pu9Fy4M9jYMeAviiLqiuAObw8qm0BqH6qpZ7PrtR2RUKh0v5ypn4Mt
 AkJzgkBaQZ9SBn9tEijCRdZohlHEHo=
Received: from jidanni.org (36-234-98-48.dynamic-ip.hinet.net [36.234.98.48])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTPSA id 4CE4C805EB;
 Fri, 24 Sep 2021 06:54:49 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a55
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN> <83wnn6rszb.fsf@HIDDEN>
Date: Fri, 24 Sep 2021 21:54:47 +0800
Message-ID: <87y27m6pug.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: >>>>> "EZ" == Eli Zaretskii <eliz@HIDDEN> writes: EZ> I
 don't
 understand: there's only one dictionary, the current one. That's great to
 know. So it the new key press should say: Checked for "jitter" and didn't
 find it in 1. /usr/..../bla 
 Content analysis details:   (1.2 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.2 RCVD_IN_BL_SPAMCOP_NET RBL: Received via a relay in
 bl.spamcop.net
 [Blocked - see <https://www.spamcop.net/bl.shtml?23.83.212.4>]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [23.83.212.4 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [23.83.212.4 listed in wl.mailspike.net]
X-Debbugs-Envelope-To: 50776
Cc: 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

>>>>> "EZ" == Eli Zaretskii <eliz@HIDDEN> writes:
EZ> I don't understand: there's only one dictionary, the current one.

That's great to know.

So it the new key press should say:
Checked for "jitter" and didn't find it in
1. /usr/..../bla

That way we can be sure.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at 50776 <at> debbugs.gnu.org:


Received: (at 50776) by debbugs.gnu.org; 24 Sep 2021 13:41:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 09:41:38 2021
Received: from localhost ([127.0.0.1]:56985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTlSL-0005Km-QW
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 09:41:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43374)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mTlSK-0005KW-GH
 for 50776 <at> debbugs.gnu.org; Fri, 24 Sep 2021 09:41:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53336)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mTlSF-00039g-9i; Fri, 24 Sep 2021 09:41:31 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1595
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mTlSE-0000K5-Qw; Fri, 24 Sep 2021 09:41:31 -0400
Date: Fri, 24 Sep 2021 16:41:28 +0300
Message-Id: <83wnn6rszb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
In-Reply-To: <878rzm85zs.5.fsf@HIDDEN>
Subject: Re: bug#50776: add "ispell show where we looked" command
References: <878rzm85zs.5.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50776
Cc: 50776 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: 積丹尼 Dan Jacobson
>  <jidanni@HIDDEN>
> Date: Fri, 24 Sep 2021 21:20:39 +0800
> 
> Please add one more:
> Show all the dictionaries that were checked when looking for (and not
> finding) the word.
> 
> That way one could figure out why e.g., "jitter" is misspelled in emacs,
> but not in the shell's ispell.
> 
> Sure, there are various alists, but we want to see where it really looked.

I don't understand: there's only one dictionary, the current one.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Sep 2021 13:24:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 24 09:24:40 2021
Received: from localhost ([127.0.0.1]:56944 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mTlBw-0004kL-5Q
	for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 09:24:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:59750)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jidanni@HIDDEN>) id 1mTlBq-0004js-8e
 for submit <at> debbugs.gnu.org; Fri, 24 Sep 2021 09:24:34 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:57906)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1mTlBq-0000pz-1w
 for bug-gnu-emacs@HIDDEN; Fri, 24 Sep 2021 09:24:34 -0400
Received: from dragonfly.birch.relay.mailchannels.net ([23.83.209.51]:65482)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <jidanni@HIDDEN>)
 id 1mTlBo-0008CY-EG
 for bug-gnu-emacs@HIDDEN; Fri, 24 Sep 2021 09:24:33 -0400
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 9AF15541F71
 for <bug-gnu-emacs@HIDDEN>; Fri, 24 Sep 2021 13:24:27 +0000 (UTC)
Received: from pdx1-sub0-mail-a55.g.dreamhost.com
 (100-96-99-46.trex.outbound.svc.cluster.local [100.96.99.46])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id D0120541EDB
 for <bug-gnu-emacs@HIDDEN>; Fri, 24 Sep 2021 13:24:26 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jidanni@HIDDEN
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (pop.dreamhost.com
 [64.90.62.162])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384)
 by 100.96.99.46 (trex/6.4.3); Fri, 24 Sep 2021 13:24:27 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jidanni@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Spot-Cooing: 4f151206561779da_1632489867246_1890173109
X-MC-Loop-Signature: 1632489867246:2612045994
X-MC-Ingress-Time: 1632489867246
Received: from pdx1-sub0-mail-a55.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTP id 88BB887A97
 for <bug-gnu-emacs@HIDDEN>; Fri, 24 Sep 2021 06:24:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=jidanni.org; h=from:to
 :subject:date:message-id:mime-version:content-type
 :content-transfer-encoding; s=jidanni.org; bh=BKQs6pFl/tofV4lfCk
 xicV0VtxI=; b=DGcfq8PgXIRggSJH79W+IlrhONzlaMzbzPr48qV5riZrGnaO1u
 12WQlbTckOVLux7ZnrXWJzsH8g2YbULXa61iVdljVUVyVrENEPqLALIo7P0xGYb/
 djIUXxvPgQLpMKcGAeHrrK371vOho3NqF3pOaApRPFdhmH+uZ3NF1C+GY=
Received: from jidanni.org (36-234-98-48.dynamic-ip.hinet.net [36.234.98.48])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256
 bits)) (No client certificate requested)
 (Authenticated sender: jidanni@HIDDEN)
 by pdx1-sub0-mail-a55.g.dreamhost.com (Postfix) with ESMTPSA id 77BD986427
 for <bug-gnu-emacs@HIDDEN>; Fri, 24 Sep 2021 06:24:23 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a55
From: =?utf-8?B?56mN5Li55bC8?= Dan Jacobson <jidanni@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: add "ispell show where we looked" command
Date: Fri, 24 Sep 2021 21:20:39 +0800
Message-ID: <878rzm85zs.5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=23.83.209.51; envelope-from=jidanni@HIDDEN;
 helo=dragonfly.birch.relay.mailchannels.net
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Regarding

     ispell-help is an autoloaded compiled Lisp function in =E2=80=98ispe=
ll.el=E2=80=99.

     (ispell-help)

     Display a list of the options available when a misspelling is encoun=
tered.

     Selections are:

     DIGIT: Replace the word with a digit offered in the *Choices* buffer=
.
     SPC:   Accept word this time.
     =E2=80=98i=E2=80=99:   Accept word and insert into private dictionar=
y.
     =E2=80=98a=E2=80=99:   Accept word for this session.
     =E2=80=98A=E2=80=99:   Accept word and place in =E2=80=98buffer-loca=
l dictionary=E2=80=99.
     =E2=80=98r=E2=80=99:   Replace word with typed-in value.  Rechecked.
     =E2=80=98R=E2=80=99:   Replace word with typed-in value.  Query-repl=
aced in buffer.  Rechecked.
     =E2=80=98?=E2=80=99:   Show these commands.
     =E2=80=98x=E2=80=99:   Exit spelling buffer.  Move cursor to origina=
l point.
     =E2=80=98X=E2=80=99:   Exit spelling buffer.  Leaves cursor at the c=
urrent point, and permits
             the aborted check to be completed later.
     =E2=80=98q=E2=80=99:   Quit spelling session (Kills ispell process).
     =E2=80=98l=E2=80=99:   Look up typed-in replacement in alternate dic=
tionary.  Wildcards okay.
     =E2=80=98u=E2=80=99:   Like =E2=80=98i=E2=80=99, but the word is low=
er-cased first.
     =E2=80=98m=E2=80=99:   Place typed-in value in personal dictionary, =
then recheck current word.
     =E2=80=98C-l=E2=80=99:  Redraw screen.
     =E2=80=98C-r=E2=80=99:  Recursive edit.
     =E2=80=98C-z=E2=80=99:  Suspend Emacs or iconify frame.

Please add one more:
Show all the dictionaries that were checked when looking for (and not
finding) the word.

That way one could figure out why e.g., "jitter" is misspelled in emacs,
but not in the shell's ispell.

Sure, there are various alists, but we want to see where it really looked=
.




Acknowledgement sent to 積丹尼 Dan Jacobson <jidanni@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50776; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 29 Sep 2021 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.